import request from '@/utils/request'

// 查询生产入库报告列表
export function listProduct(query) {
	return request({
		url: '/quality/qcProductReport/list',
		method: 'get',
		params: query
	});
}

// 查询生产入库报告详细
export function getProduct(recordId) {
	return request({
		url: '/quality/qcProductReport/' + recordId,
		method: 'get'
		});
}

// 新增生产入库报告
export function addProduct(data) {
	return request({
		url: '/quality/qcProductReport',
		method: 'post',
		data: data
	});
}

// 修改生产入库报告
export function updateProduct(data) {
	return request({
		url: '/quality/qcProductReport',
		method: 'put',
		data: data
	});
}

// 删除生产入库报告
export function delProduct(recordId) {
	return request({
		url: '/quality/qcProductReport/' + recordId,
		method: 'delete'
	});
}

